Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79598 - rhn package refresh fails (including a patch)
Summary: rhn package refresh fails (including a patch)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-13 21:17 UTC by Chris Goebel
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-15 04:36:11 UTC


Attachments (Terms of Use)

Description Chris Goebel 2002-12-13 21:17:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
the rhn package refresh would fail for all of my rh8 boxes

I found a typo in /usr/share/rhn/actions/packages.py

line 280
       is: rhnPackageProfile.updatePackageProfile()
should be: rhnPackageInfo.updatePackageProfile()

I made the above change and the "package refresh" command
now works properly



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. login to redhat network
2. schedule a "package list refresh"

    

Actual Results:  an error 20 will be reported

Expected Results:  the rhn will receive an updated list of packages installed on
the machine

Additional info:

I found the problem and fixed, see description

Comment 1 Mihai Ibanescu 2002-12-17 13:05:39 UTC
Reassigning

Comment 2 Adrian Likins 2003-01-15 04:36:11 UTC
should be fixed in an upcoming errata


Note You need to log in before you can comment on or make changes to this bug.